Last Comment Bug 630124 - Sidebar should not open by default in new profiles
: Sidebar should not open by default in new profiles
Status: VERIFIED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Sidebar (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1b2
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 627417
Blocks: SmTestFail 588067
  Show dependency treegraph
 
Reported: 2011-01-30 23:19 PST by Serge Gautherie (:sgautherie)
Modified: 2011-01-31 23:40 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Keep localstore.rdf out of omni.jar (ftb) [Checked in: Comment 8] (2.18 KB, patch)
2011-01-31 00:48 PST, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2011-01-30 23:19:11 PST
I noticed this while working on mochitests.
I confirmed it by creating a new profile.

***

For example, this is causing
{
mochitest-browser-chrome

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_bug462289.js | tab key to tab activeElement - Got [object XULElement @ 0x3e0c5e8 (native @ 0x39e3a58)], expected [object XULElement @ 0x544b898 (native @ 0xa583f20)]
}
Comment 1 Serge Gautherie (:sgautherie) 2011-01-31 00:13:34 PST
Linux and Windows, not OSX:

http://mxr.mozilla.org/comm-central/source/suite/browser/test/Makefile.in#83
{
84 ifneq (cocoa,$(MOZ_WIDGET_TOOLKIT))
85 _BROWSER_FILES += browser_bug462289.js
86 endif
}

*****

Last builds not reporting this bug:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1295365601.1295368012.28795.gz
Linux comm-central-trunk debug test mochitest-other on 2011/01/18 07:46:41
rev:476b91f50827
moz:141d92d974b4

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1295375700.1295378689.25740.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2011/01/18 10:35:00
rev:476b91f50827
moz:141d92d974b4


First builds reporting this bug:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1295392267.1295395235.18978.gz
Linux comm-central-trunk debug test mochitest-other on 2011/01/18 15:11:07
rev:44423b415a5f
moz:5337fe8a5bfb

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1295469195.1295474286.18355.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2011/01/19 12:33:15
rev:e9f62190bdf0
moz:844b898f5bc4


Regression timeframes:
http://hg.mozilla.org/comm-central/pushloghtml?fromchange=476b91f50827&tochange=44423b415a5f
KaiRo's push again: omnijar, etc.
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=141d92d974b4&tochange=5337fe8a5bfb
...
Comment 2 Serge Gautherie (:sgautherie) 2011-01-31 00:36:16 PST
This is like bug 627417!

{
/suite/locales/generic/profile/localstore.rdf
    * line 8 -- <RDF:Description about="chrome://navigator/content/navigator.xul#sidebar-box">
}
can't be accessed in omni.jar.
Comment 3 Serge Gautherie (:sgautherie) 2011-01-31 00:48:13 PST
Created attachment 508339 [details] [diff] [review]
(Av1) Keep localstore.rdf out of omni.jar (ftb)
[Checked in: Comment 8]

(Untested, but nothing new.)
Comment 4 Serge Gautherie (:sgautherie) 2011-01-31 01:22:13 PST
Karsten, I assume we should do the same for
http://mxr.mozilla.org/comm-central/source/suite/locales/generic/profile/panels.rdf.in
but I'm not sure how to check whether it works or not...
Comment 5 Robert Kaiser (not working on stability any more) 2011-01-31 05:41:01 PST
Comment on attachment 508339 [details] [diff] [review]
(Av1) Keep localstore.rdf out of omni.jar (ftb)
[Checked in: Comment 8]

We really should be able to do with an empty or non-existing localstore, please make sure to file a bug on that. Still, this workaround is acceptable for the moment.

And I don't understand your comment on panels.rdf, which is here already anyhow.
Comment 6 Serge Gautherie (:sgautherie) 2011-01-31 06:42:28 PST
(In reply to comment #4)
> http://mxr.mozilla.org/comm-central/source/suite/locales/generic/profile/panels.rdf.in

(In reply to comment #5)
> And I don't understand your comment on panels.rdf, which is here already
> anyhow.

Indeed, correct link:
http://mxr.mozilla.org/comm-central/source/suite/locales/generic/profile/mimeTypes.rdf
Comment 7 Serge Gautherie (:sgautherie) 2011-01-31 06:48:08 PST
(In reply to comment #5)
> We really should be able to do with an empty or non-existing localstore, please
> make sure to file a bug on that.

Well, I would prefer that you file it, as you can probably give more details than I can about what you're thinking might be possible to do.
Comment 8 Serge Gautherie (:sgautherie) 2011-01-31 07:11:34 PST
Comment on attachment 508339 [details] [diff] [review]
(Av1) Keep localstore.rdf out of omni.jar (ftb)
[Checked in: Comment 8]

http://hg.mozilla.org/comm-central/rev/c7b112032a41
Comment 9 Robert Kaiser (not working on stability any more) 2011-01-31 08:28:31 PST
(In reply to comment #7)
> Well, I would prefer that you file it, as you can probably give more details
> than I can about what you're thinking might be possible to do.

All I know about it is that we need to make sure we need to not depend on any contents of localstore.
Comment 10 Serge Gautherie (:sgautherie) 2011-01-31 12:47:02 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1296496919.1296500862.10776.gz
Linux comm-central-trunk debug test mochitest-other on 2011/01/31 10:01:59

V.Fixed
Comment 11 Serge Gautherie (:sgautherie) 2011-01-31 23:40:44 PST
(In reply to comment #9)
> All I know about it is that we need to make sure we need to not depend on any
> contents of localstore.

Iiuc, bug 559505 should fix this eventually.

Note You need to log in before you can comment on or make changes to this bug.